lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "cardio/version"

Gem::Specification.new do |spec|
  spec.name    = "cardio"
  spec.version = Cardio::VERSION
  spec.authors = ["Cristian Rivera"]
  spec.email   = ["cristian_rivera@me.com"]

  spec.summary     = %q{Run scripts on ECS containers.}
  spec.description = %q{Run scripts on ECS containers with real time output without SSH.}
  spec.homepage    = "https://github.com/cristian-rivera/cardio"
  spec.license     = "MIT"

  spec.metadata["homepage_uri"]    = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/cristian-rivera/cardio"
  spec.metadata["changelog_uri"]   = "https://github.com/cristian-rivera/cardio/blob/master/CHANGELOG.md."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "~> 0.20"

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
